mount.diod(8)

NAME
mount.diod - mount diod file systems

SYNOPSIS
mount.diod [OPTIONS] host[:aname] dir [-o options]

DESCRIPTION
mount.diod is the mount utility for the distributed I/O daemon, which is an I/O forwarding service for Linux clusters built upon the Linux 9p file system.

mount.diod performs two main tasks: 1) connect and authenticate to the diod server, and 2) issue the mount(2) system call with appropriate mount options.

Authentication with the diod server takes place in user space. The connected (and authenticated) file descriptor is passed as a mount option to the kernel 9p file system

This command requires root to execute the mount(2) system call.

The 9p file system must support the 9P2000.L protocol variant, e.g. kernel 2.6.38 or above.

The host portion of the mount spec may optionally be supplied in hostlist format, e.g. host1,host2,host3:aname or host[1-3]:aname, in which case hosts are tried in order until a successful connection is obtained. Post-connect mount errors are immediately fatal.

If the host portion of the mount spec begins with a forward-slash (/), it refers to the path to a UNIX domain socket.

COMMAND LINE OPTIONS

-f, --fake-mount
    Do everything except the mount system call.

-n, --no-mtab
    Do not update the system mtab.

-v, --verbose
    Set verbose mode.

-o, --options opt[,opt,...]
    Set mount options (see below).

MOUNT OPTIONS
The following file system specific mount options are handled by mount.diod.

aname=name
    The aname is the path of the exported file system on the server. It can be specified in the mount spec in host:aname format like NFS, or it can be specified with this option. diod will not allow an attach to an empty aname. diod has a built-in synthetic control file system that can be mounted with aname of ctl. Note that "ctl" must be explicitly exported.

uname=name
    The user name to authenticate to the diod server. The default is uname=root.

access=mode
    Select the access mode. access=user (default) causes the mount to support multiple users, and requires root authentication. access=<uid> restricts access at the client to only the specified user.

port=n
    Connect to the diod server on the specified port. The default is the IANA-assigned 9pfs port 564.

trans=name
    Select a transport. mount.diod only supports trans=fd because of its strategy for authentication.

rfdno=n,wfdno=n
    The file descriptor for reading and writing with trans=fd. If set, mount.diod assumes this file descriptor is already connected to a diod server and ignores host in the device specification, and the port=n option.

msize=n
    The msize is the max 9P packet payload size. The default is 65512 (65536-24)

version=name
    Select 9P protocol version. diod only supports 9p2000.L.

cache=mode
    Specify a caching policy. By default, no caches are used. If cache=loose, no attempts are made at consistency. This mode is intended for exclusive, read-only mounts. If cache=fscache, use FS-Cache for a persistent, read-only cache backend.

cachetag
    In the context of cache=fscache, select the cache tag to use for this session. Cache tags for existing cache sessions are listed in /sys/fs/9p/caches.

nodevmap
    Do not map special files. Represent them as normal files. This can be used to share devices/named pipes/sockets between hosts.

debug=n
    Specifies debug level for the kernel 9p module. The debug level is a bitmask.
    0x01 = display verbose error messages
    0x02 = developer debug (DEBUG_CURRENT)
    0x04 = display 9p trace
    0x08 = display VFS trace
    0x10 = display Marshalling debug
    0x20 = display RPC debug
    0x40 = display transport debug
    0x80 = display allocation debug
    0x100 = display protocol message debug
    0x200 = display Fid debug
    0x400 = display packet debug
    0x800 = display fscache tracing debug
    The debug level is global, i.e. it applies to all 9P file systems and it remains set after the file system is unmounted. The default is debug=0.

SEE ALSO
diod (8)